
import rclpy
import numpy as np

from rq_controller.common import PyProjection
from rq_hardware.hardware_client import HardwareClient

import matplotlib.pyplot as plt

rclpy.init()

hardware_client = HardwareClient()

proj = PyProjection.dummy()
proj.focal_spot_mm = np.array([0., 0., 1000.])
proj.detector_postion_mm = np.array([0., 0., -1000.])
proj.detector_orientation_quad = np.array([0., 0., 0., 1.])


proj.voltage_kv = 100.
proj.current_ua = 40.


future = hardware_client.aquire_projection(proj)

rclpy.spin_until_future_complete(hardware_client, future)

proj_response = hardware_client.projection_response_2_py(future.result())

plt.imshow(proj_response.image)
plt.show()


